Bug 525808 - Review Request: pigz - Parallel implementation of gzip
Summary: Review Request: pigz - Parallel implementation of gzip
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 20:32 UTC by Adel Gadllah
Modified: 2010-02-19 19:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-26 08:20:04 UTC
a.badger: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Adel Gadllah 2009-09-25 20:32:36 UTC
Spec URL: http://193.200.113.196/apache2-default/rpm/pigz.spec
SRPM URL: http://193.200.113.196/apache2-default/rpm/pigz-2.1.5-1.fc11.src.rpm
Description:
pigz, which stands for parallel implementation of gzip,
is a fully functional replacement for gzip that exploits
multiple processors and multiple cores to the hilt when compressing data.


Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1707938
rpmlint is silent.

Comment 1 Toshio Ernie Kuratomi 2009-09-25 22:59:33 UTC
Good:                                                                       
* Naming follows the packaging guidelines                                   
* license is contained in README and README is included in the documentation
* Spec file is readable                                                     
* Source matches with source from canonical upstream                        
* No locales                                                                
* Not a library                                                             
* No bundled libraries                                                      
* Not relocatable                                                           
* Directories created by package and no others are owned                    
* No duplicate files listed
* Permissions set properly
* Proper %clean
* Macros used consistently
* Code, not content
* No %doc files affect program runtime
* No subpackages
* Not a GUI app
* rm -rf run properly at beginning of %install
* Filenames are valid utf-8
* Package builds in koji
* rpmlint clean
* Tested that pigz compresses a file that can be decompressed by gzip and
  vice versa

Needswork:
* license should be "zlib"

Providing you change the license when you import the package, this package is
APPROVED.

Comment 2 Adel Gadllah 2009-09-25 23:13:12 UTC
(In reply to comment #1)
> Good:                                                                       
> * Naming follows the packaging guidelines                                   
> * license is contained in README and README is included in the documentation
> * Spec file is readable                                                     
> * Source matches with source from canonical upstream                        
> * No locales                                                                
> * Not a library                                                             
> * No bundled libraries                                                      
> * Not relocatable                                                           
> * Directories created by package and no others are owned                    
> * No duplicate files listed
> * Permissions set properly
> * Proper %clean
> * Macros used consistently
> * Code, not content
> * No %doc files affect program runtime
> * No subpackages
> * Not a GUI app
> * rm -rf run properly at beginning of %install
> * Filenames are valid utf-8
> * Package builds in koji
> * rpmlint clean
> * Tested that pigz compresses a file that can be decompressed by gzip and
>   vice versa
> 
> Needswork:
> * license should be "zlib"

oh ok.

> Providing you change the license when you import the package, this package is
> APPROVED.  

Sure, thanks for the review.

Comment 3 Adel Gadllah 2009-09-25 23:14:16 UTC
New Package CVS Request
=======================
Package Name: pigz
Short Description:  Parallel implementation of gzip
Owners: drago01
Branches: F-10 F-11
InitialCC:

Comment 4 Kevin Fenzi 2009-09-26 02:47:35 UTC
cvs done.

Comment 5 Adel Gadllah 2009-09-26 08:20:04 UTC
(In reply to comment #4)
> cvs done.  

Thanks, package imported and built.

Comment 6 Guido Grazioli 2009-09-26 09:16:32 UTC
Adel, you miss the -p in the install command to preserve timestamps

Comment 7 Adel Gadllah 2009-09-26 10:27:14 UTC
(In reply to comment #6)
> Adel, you miss the -p in the install command to preserve timestamps  

Good catch, fixed in 2.1.5-3 thanks.

Comment 8 Orion Poplawski 2010-01-15 18:53:32 UTC
Can we get EL branches made?  I'd be willing to maintain them if needed.

Comment 9 Orion Poplawski 2010-02-19 18:20:13 UTC
Package Change Request
======================
Package Name: pigz
New Branches: EL-5
Owners: orion

Comment 10 Adel Gadllah 2010-02-19 19:00:33 UTC
(In reply to comment #8)
> Can we get EL branches made?  I'd be willing to maintain them if needed.    

Sure go ahead.

Comment 11 Jason Tibbitts 2010-02-19 19:04:08 UTC
CVS done.


Note You need to log in before you can comment on or make changes to this bug.